Bug 248695 - Missing dependencies
Missing dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bigboard (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 06:33 EDT by Matěj Cepl
Modified: 2008-06-16 21:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
illustration of incomplete (IMHO) bigboard (155.54 KB, image/png)
2007-07-18 06:47 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2007-07-18 06:33:28 EDT
Description of problem:
When starting god-mode 1 I got these messages:

[matej@chelcicky ~]$ god-mode 1
[matej@chelcicky ~]$ Traceback (most recent call last):
  File "/usr/libexec/bigboard/main.py", line 14, in <module>
    import hippo
ImportError: No module named hippo

[matej@chelcicky ~]$

So I have installed hippo-*-python package and now god-mode 1 runs without
problem, but without results as well. So I tried to run bigboard directly and
got another missing import:

[matej@chelcicky ~]$ bigboard --help
Traceback (most recent call last):
  File "/usr/libexec/bigboard/main.py", line 27, in <module>
    import bigboard.google
  File "/usr/lib/python2.5/site-packages/bigboard/google.py", line 7, in <module>
    import bigboard.keyring as keyring
  File "/usr/lib/python2.5/site-packages/bigboard/keyring.py", line 1, in <module>
    import gnomekeyring
ImportError: No module named gnomekeyring
Traceback (most recent call last):
  File "/usr/libexec/bigboard/main.py", line 27, in <module>
    import bigboard.google
  File "/usr/lib/python2.5/site-packages/bigboard/google.py", line 7, in <module>
    import bigboard.keyring as keyring
  File "/usr/lib/python2.5/site-packages/bigboard/keyring.py", line 1, in <module>
    import gnomekeyring
ImportError: No module named gnomekeyring
[matej@chelcicky ~]$ 


Version-Release number of selected component (if applicable):
bigboard-0.4.9-1.fc7

How reproducible:
100%
Comment 1 Matěj Cepl 2007-07-18 06:47:10 EDT
Created attachment 159508 [details]
illustration of incomplete (IMHO) bigboard

forgot to add before that I have installed online-desktop, mugshot, and
bigboard packages (and whatever dependencies they drawn in)

and saga continues (after installation of gnomekeyring-*python* package):

[matej@chelcicky ~]$ god-mode 0
ERROR:root:Failed to shut down bigboard
Traceback (most recent call last):
  File "/usr/bin/god-mode", line 41, in <module>
    bb_obj = dbus.SessionBus().get_object('org.mugshot.BigBoard',
'/bigboard/panel')
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in
__init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
org.mugshot.BigBoard was not provided by any .service files
[matej@chelcicky ~]$ 
[matej@chelcicky ~]$ god-mode 1

[matej@chelcicky ~]$ god-mode 1
[matej@chelcicky ~]$ bigboard 
/usr/lib/python2.5/site-packages/bigboard/keyring.py:1: Warning:
g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gnomekeyring

** (main.py:6686): CRITICAL **: pyg_register_boxed: assertion `boxed_type != 0'
failed
/usr/lib/python2.5/site-packages/bigboard/keyring.py:1: Warning:
g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gnomekeyring

** (main.py:6716): CRITICAL **: pyg_register_boxed: assertion `boxed_type != 0'
failed
[matej@chelcicky ~]$ 
** (bigboard:6686): WARNING **: Binding '<Alt>F3' failed!


[matej@chelcicky ~]$ "11:37:59 [-1208338752] bigboard.StockReader ERROR failed
to add stock org.mugshot.bigboard.AppsStock"
Traceback (most recent call last):
  File "/usr/libexec/bigboard/main.py", line 81, in get
    module = __import__(class_name)
  File "/usr/share/bigboard/stocks/apps/AppsStock.py", line 3, in <module>
    import gmenu, gobject, pango, gnomedesktop, gtk
ImportError: No module named gnomedesktop
Error loading the file: /home/matej/.gnome2/deskbar-applet/handlers/gajim.py.
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/deskbar/ModuleLoader.py", line 91, in
import_module
    mod = pydoc.importfile (filename)
  File "/usr/lib/python2.5/pydoc.py", line 256, in importfile
    raise ErrorDuringImport(path, sys.exc_info())
ErrorDuringImport: problem in
/home/matej/.gnome2/deskbar-applet/handlers/gajim.py - <type
'exceptions.AttributeError'>: 'module' object has no attribute '_'

[matej@chelcicky ~]$ 
(bigboard:6686): Gnome-WARNING **: gnome-program.c:1015: Directory properties
not set correctly.  Cannot locate application specific files.

(bigboard:6686): Gnome-WARNING **: gnome-program.c:1015: Directory properties
not set correctly.  Cannot locate application specific files.

(bigboard:6686): Gnome-WARNING **: gnome-program.c:1015: Directory properties
not set correctly.  Cannot locate application specific files.

(bigboard:6686): Bonobo-WARNING **: Never got frame, control died - abnormal
exit condition

[matej@chelcicky ~]$ Traceback (most recent call last):
  File "/usr/libexec/bigboard/main.py", line 141, in <lambda>
    self.__ticker_text.connect("button-press-event", lambda text, event:
self.__toggle_expanded())  
AttributeError: 'Exchange' object has no attribute '_Exchange__toggle_expanded'


[matej@chelcicky ~]$ 

I understand the god-mode 0 was not happy because of not correctly running
bigboard, but then restarting bigboard seems to suck. And the bigboard seems to
be severely incomplete (see the screen shot)
Comment 2 Colin Walters 2007-07-26 13:19:46 EDT
Hi,

0.4.9 is really old; the problem is that there is a big stack of modules here,
and pushing everything through the Fedora updates process got to be a massive
bottleneck for me.  

There are much newer packages here:
http://download.mugshot.org/online-desktop/f7/

I am in the process of installing createrepo on our servers so we can just use
this instead of me taking an entire day's worth of web forms and spec file
munging to update stuff in Fedora.
Comment 3 Matěj Cepl 2007-07-26 19:15:46 EDT
This is not good -- the stuff should be in Fedora proper, otherwise people won't
find it (and/or care, because they won't consider it to be serious -- apparently
maintainer didn't even bother to push stuff to Fedora proper, so it HAS TO BE
just some kind of alpha/proof-of-concept yet).
Comment 4 Bug Zapper 2008-05-14 09:34:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:53:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.